# Retrieve the site details

Retrieves the details of a specific site including its  ID, name, and root path.

Endpoint: GET /api/v1/sites/{siteId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `siteId` (string, required)
    The unique identifier of the site. To get this ID, use [List sites](#operation/sites-get_sites_list).

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `itemId` (string)
    The unique identifier of the item.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `name` (string)
    The name of the site.
    Example: skate-park

  - `brand_information` (string)
    Information about the brand associated with the site.
    Example: Skate park brand guidelines

  - `rootPath` (string)
    The root path of the site.
    Example: /sitecore/content/SkatePark

  - `page_locations` (array)
    A list of page locations (pages and page folders) associated with the site. The `is_page_folder` flag helps identify which ones are pages and which ones are page folders.

  - `page_locations.itemId` (string)
    The unique identifier of the item.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `page_locations.name` (string)
    The name of the item.
    Example: Sample Item

  - `page_locations.path` (string)
    The path to the item.
    Example: /content/items/3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `page_locations.allowed_child_page_templates` (array)
    A list of allowed child page templates.

  - `page_locations.allowed_child_page_templates.name` (string)
    The name of the allowed child template.
    Example: Full Width Page

  - `page_locations.allowed_child_page_templates.templateId` (string)
    The unique identifier of the allowed child template.
    Example: 9f8c7e6d-5b4a-4c3d-8e7f-1a2b3c4d5e6f

  - `page_locations.is_page_folder` (boolean)
    True when this location is a page folder (no presentation component); False for standard renderable pages.

  - `non_visual_content_locations` (array)
    A list of non-visual content locations associated with the site.

  - `non_visual_content_locations.itemId` (string)
    The unique identifier of the item.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `non_visual_content_locations.name` (string)
    The name of the item.
    Example: Sample Item

  - `non_visual_content_locations.path` (string)
    The path to the item.
    Example: /content/items/3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `non_visual_content_locations.allowed_child_content_templates` (array)
    A list of allowed child content templates.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

